import React from 'react';
import clsx from 'clsx';
import styles from './styles.module.css';
import LyraVideo from './video/LyraVideo';

type FeatureItem = {
  title: string;
  //Svg: React.ComponentType<React.ComponentProps<'svg'>>;
  description: JSX.Element;
};

const FeatureList: FeatureItem[] = [
  {
    title: 'Fast',
    description: (
      <>
        Lyra lookups takes microseconds.
      </>
    ),
  },
  {
    title: 'In-memory',
    description: (
      <>
        Lyra keeps data and indices in-memory.
      </>
    ),
  },
  {
    title: 'Portable',
    description: (
      <>
        Can work both on client and server.
      </>
    ),
  },
];

function Feature({ title, description }: FeatureItem) {
  return (
    <div className={clsx('col col--4')}>
      <div className="text--center padding-horiz--md">
        <h3>{title}</h3>
        <p>{description}</p>
      </div>
    </div>
  );
}

export default function HomepageFeatures(): JSX.Element {
  return (
    <section className={styles.features}>
      <div className="container">
        <LyraVideo embedId="MGpwKsdZmG0" />
        <div className={clsx('row', styles.mt_4)}>
          {FeatureList.map((props, idx) => (
            <Feature key={idx} {...props} />
          ))}
        </div>
      </div>
    </section>
  );
}
